LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XVclContainer Interface Referencepublished

represents a VCL container window. More...

`import <XVclContainer.idl;`

Inheritance diagram for XVclContainer:

## Public Member Functions
void | addVclContainerListener ([in] com::sun::star::awt::XVclContainerListener l)
| adds the specified container listener to receive container events from this container.
void | removeVclContainerListener ([in] com::sun::star::awt::XVclContainerListener l)
| removes the specified container listener so that it no longer receives container events from this container.
sequence< com::sun::star::awt::XWindow > | getWindows ()
| returns all windows.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents a VCL container window.

Deprecated

## Member Function Documentation

## ◆ addVclContainerListener()

void addVclContainerListener | ( | [in] com::sun::star::awt::XVclContainerListener | l | ) |

adds the specified container listener to receive container events from this container.

## ◆ getWindows()

sequence< com::sun::star::awt::XWindow > getWindows | ( |  | ) |

returns all windows.

## ◆ removeVclContainerListener()

void removeVclContainerListener | ( | [in] com::sun::star::awt::XVclContainerListener | l | ) |

removes the specified container listener so that it no longer receives container events from this container.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XVclContainer.idl